from wtforms.validators import ValidationError

def name(form, name):
    member = Member.query.filter_by(name=name.data).first()
    if member is not None:
        raise ValidationError('Pseudo indisponible.')
    if not User.valid_name(name.data):
        raise ValidationError("Nom d'utilisateur invalide.")

def email(form, email):
    member = Member.query.filter_by(email=email.data).first()
    if member is not None:
        raise ValidationError('Adresse email déjà utilisée.')

def password(form, password):
    if len(password.data) != 0 and len(password.data) < 10:
        raise ValidationError('Mot de passe est trop court (10 caractères minimum)')
        # TODO: add more rules >:]

def authentication(form, old_password):
    if not current_user.check_password(old_password.data):
        raise ValidationError('Mot de passe erroné')
